<?xml version="1.0" encoding="ISO-8859-1"?>
<customization>
  <registry>

    <!-- Do the following only at Master reset -->
    <master-reset-all parse-mask="sa">
      <!-- Delete all the default directory -->
      <file-op op="purgedir" dest="/tpa/user/System/newsreader/incomplete"/>
      <file-op op="purgedir" dest="/tpa/user/System/newsreader/stored"/>

      <!-- Delete all in the default directory on phones with different FS-->
      <file-op op="purgedir" dest="/usb/System/newsreader/incomplete"/>
      <file-op op="purgedir" dest="/usb/System/newsreader/stored"/>
    </master-reset-all>

    <!-- Application defaults -->
    <rss>
      <settings reg-path="/apps/rss">

        <!--  Key: version   Constant: SCA_RSS_SETTINGS_DEFAULT_VERSION_STR  -->  
        <!--  The version of the keys located under /apps/rss/  --> 
		<!--  The version number of all tags in the rss restore file  -->	            
        <!--  Type: String, Max length: 32  -->
        <!--  Customizable: No, GUI: No  -->
        <version type="str">1.0</version>

        <!--   Key: disable   Constant:SCA_RSS_SETTINGS_DEFAULT_DISABLED_INT  -->
        <!--   Whether RSS should be disabled. 1 = RSS disabled, 0 = RSS enabled -->
        <!--   Type: uint -->
        <!--   Customizable: Yes  -->
        <disable type="uint">0</disable>

        <!--  Key: allow-connection   Constant: SCA_RSS_SETTINGS_DEFAULT_ALLOWCONNECTION_INT   -->
        <!--  Description: Allow connection when roaming SCA_RSS_ALLOWCONNECTION_HOME_ONLY = 0,SCA_RSS_ALLOWCONNECTION_ALWAYS = 1 -->
        <!--  Type: uint  -->
        <!--  Customizable: Yes  -->
        <allow-connection type="uint">0</allow-connection>

        <!--  Key: default-updateinterval  Constant:SCA_RSS_SETTINGS_DEFAULT_UPDATEINTERVAL_INT   -->
        <!--  Description:
                UPDATE_NEVER = 0, UPDATE_EVERY_HOUR = 1, UPDATE_TWICE_A_DAY = 2 
                UPDATE_ONCE_A_DAY = 3, UPDATE_ONCE_A_WEEK = 4 UPDATE_CUSTOM = 5 -->
        <!--  Type: uint  -->
        <!--  Customizable: Yes   -->
        <default-updateinterval type="uint">0</default-updateinterval>

        <!--  Key: Portal type   Constant: SCA_RSS_SETTINGS_DEFAULT_PORTALURL_CHAR_STR   -->
        <!--  Description  -->
        <!--  Type: string  -->
        <!--  Customizable: Yes  -->
        <portal type="str"/>

        <template-files>
          <!--  Key: xml type   Constant: SCA_RSS_FEED_TEMPLATE_FILE_XML_STR  -->
          <!--  Description: Path where template file used to generate feed html is stored  --> 
          <!--  Type: string  -->
          <!--  Customizable:   -->
          <feed type="str">/tpa/preset/system/wap/rss/html_template.xml</feed>
        </template-files>

        <default-feeds>
          <!--  Key: locked type   Constant: SCA_RSS_SETTINGS_DEFAULT_LOCKDEFAULTFEEDS_INT  -->
          <!--  Description : Setting whether default feeds are locked or not locked  -->
          <!--  SCA_RSS_ACTIVATED_OFF = 0, SCA_RSS_ACTIVATED_ON  = 1 -->
          <!--  Type: uint  -->
          <!--  Customizable: Yes   -->
          <locked type="uint">0</locked>

          <!--  Key: file type   Constant: SCA_RSS_SETTINGS_DEFAULTFEEDS_FILE_STR   -->
          <!--  Description The opml-file with the default feeds. --> 
          <!--  Type: string  -->
          <!--  Customizable: No  -->
          <file type="str">/tpa/preset/system/wap/rss/default_feeds.opml</file>
        </default-feeds>
		
        <!--  Key: text-only   Constant: SCA_RSS_SETTINGS_TEXT_ONLY_INT   -->
        <!--  Description: Setting determines whether RSS reader shall download any pictures in the feeds. -->
        <!--  SCA_RSS_TEXT_ONLY_OFF = 0,  SCA_RSS_TEXT_ONLY_ON  = 1 -->
        <!--  Type: uint  -->
        <!--  Customizable: No  -->
        <text-only type="uint">0</text-only>

        <!--  Key: ticker   Constant: SCA_RSS_SETTINGS_TICKER_INT   -->
        <!--  Description: Setting determines whether the RSS ticker general setting shall be active by default or not -->
        <!--  SCA_RSS_TICKER_OFF = 0,  SCA_RSS_TICKER_ON  = 1 -->
        <!--  Type: uint  -->
        <!--  Customizable: Yes  -->
        <ticker type="uint">1</ticker>

        <!--  Key: ticker   Constant: SCA_RSS_TICKER_ONOFF_SETTINGS_OUTGRAYED_INT   -->
        <!--  Description: Setting determines whether the ticker and its general settings are disabled. When set to OUTGRAYED_OFF the -->
        <!--  ticker is on and its settings can be altered. When set to OUTGRAYED_ON the ticker is off and its settings are greyed out -->
        <!--  SCA_RSS_TICKER_OUTGRAYED_OFF = 0,  SCA_RSS_TICKER_OUTGRAYED_ON  = 1 -->
        <!--  Type: uint  -->
        <!--  Customizable: Yes  -->
        <outgrayedticker type="uint">0</outgrayedticker>

        <!--  Key: ticker   Constant: SCA_RSS_TICKER_HIDDEN_INT   -->
        <!--  Description: Setting determines whether the ticker is hidden -->
        <!--  SCA_RSS_TICKER_HIDDEN = 0,  SCA_RSS_TICKER_VISIBLE  = 1 -->
        <!--  Type: uint  -->
        <!--  Customizable: No  -->
        <hiddenticker type="uint">1</hiddenticker>

        <!--  Key: superticker   Constant: SCA_RSS_SUPER_TICKER_INT   -->
        <!--  Description: Setting determines whether the RSS ticker and RSS ticker setting shall be visible for the user or not -->
        <!--  SCA_RSS_SUPER_TICKER_OFF = 0,  SCA_RSS_SUPER_TICKER_ON  = 1 -->
        <!--  Type: uint  -->
        <!--  Customizable: Yes  -->
        <superticker type="uint">1</superticker>

        <!--  Key: enclosureSaveToPartition  Constant: SCA_RSS_ENCLOSURE_SAVE_TO_PARTITION_INT -->
        <!--  Description: Decides if enclosures are saved on phone memory or on memory stick -->
        <!--  Type: uint  -->
        <!--  Customizable: Yes  -->
        <enclosureSaveToPartition type="uint">1</enclosureSaveToPartition>

        <feedsearch>
          <!--  Key: query-url   Constant: SCA_RSS_FEEDSEARCH_QUERY_URL_STR  -->
          <!--  Description: Url to the search engine to use for feed search  -->
          <!--  Type: string  -->
          <!--  Customizable: Yes  -->
          <!--  The query URL should be supplied by End2End and should redirect to the feedsearch service -->
          <query-url type="str">http://www.google.com/ig/catalog?synd=ms-sonyericsson&amp;types=feed&amp;output=rss&amp;q=</query-url>

        <!--  Key: result-template-xml   Constant: SCA_RSS_FEEDSEARCH_RESULT_TEMPLATE_FILE_XML_STR  -->
        <!--  Description: Path to the template file used generate feed search result is stored  --> 
        <!--  Type: string  -->
        <!--  Customizable: No  -->
        <result-template-xml type="str">/tpa/preset/system/wap/rss/feedsearch_template.xml</result-template-xml>
        </feedsearch>

        <internal>
          <configured type="uint">0</configured>
          <new-items type="uint">0</new-items>
        </internal>
      </settings>
    </rss>
  </registry> 
</customization>